com.snowflake.client.jdbc

## Class SnowflakeResultSetV1

- java.lang.Object
- - com.snowflake.client.jdbc.SnowflakeBaseResultSet
  - - com.snowflake.client.jdbc.SnowflakeResultSetV1

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class SnowflakeResultSetV1
    extends SnowflakeBaseResultSet

Snowflake ResultSet implementation

Author:
  jhuang

### Field Summary

### Fields inherited from class com.snowflake.client.jdbc.SnowflakeBaseResultSet

`binaryFormatter, dateFormatter, endOfResult, fetchDirection, fetchSize, honorClientTZForTimestampNTZ, nextRow, parameters, resultSetMetaData, resultVersion, row, timeFormatter, timestampLTZFormatter, timestampNTZFormatter, timestampTZFormatter, timeZone, timeZoneUTC, wasNull`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`SnowflakeResultSetV1(SFBaseResultSet sfBaseResultSet, Statement statement)` Constructor takes an inputstream from the API response that we get from executing a SQL statement.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`BigDecimal` `getBigDecimal(int columnIndex)`
`BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`boolean` `getBoolean(int columnIndex)`
`byte[]` `getBytes(int columnIndex)`
`Date` `getDate(int columnIndex)`
`Date` `getDate(int columnIndex, TimeZone tz)`
`double` `getDouble(int columnIndex)`
`float` `getFloat(int columnIndex)`
`int` `getInt(int columnIndex)`
`long` `getLong(int columnIndex)`
`ResultSetMetaData` `getMetaData()`
`Object` `getObject(int columnIndex)`
`int` `getRow()`
`short` `getShort(int columnIndex)`
`Statement` `getStatement()`
`long` `getStatementTypeId()`
`String` `getString(int columnIndex)`
`Time` `getTime(int columnIndex)`
`Timestamp` `getTimestamp(int columnIndex)`
`Timestamp` `getTimestamp(int columnIndex, TimeZone tz)`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `next()` Advance to next row
`boolean` `wasNull()`

### Methods inherited from class com.snowflake.client.jdbc.SnowflakeBaseResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getByte, getByte, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDouble, getFetchDirection, getFetchSize, getFloat, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObjectInternal, getRef, getRef, getRowId, getRowId, getSFTime, getSFTimestamp, getShort, getSQLXML, getSQLXML, getString, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Constructor Detail

#### SnowflakeResultSetV1

    public SnowflakeResultSetV1(SFBaseResultSet sfBaseResultSet,
                                Statement statement)
                         throws SQLException

Constructor takes an inputstream from the API response that we get from executing a SQL statement.

The constructor will fetch the first row (if any) so that it can initialize the ResultSetMetaData.

Parameters:
  `sfBaseResultSet` - snowflake core base result rest object
  `statement` - query statement that generates this result set
Throws:
  `SQLException` - if failed to construct snowflake result set metadata

### Method Detail

#### next

    public boolean next()
                 throws SQLException

Advance to next row

Specified by:
  `next` in interface `ResultSet`
Overrides:
  `next` in class `SnowflakeBaseResultSet`
Returns:
  true if next row exists, false otherwise
Throws:
  `SQLException` - if failed to move to the next row

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Overrides:
  `close` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()

Specified by:
  `wasNull` in interface `ResultSet`
Overrides:
  `wasNull` in class `SnowflakeBaseResultSet`

#### getString

    public String getString(int columnIndex)
                     throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Overrides:
  `getString` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Overrides:
  `getBoolean` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(int columnIndex)
                   throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Overrides:
  `getShort` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Overrides:
  `getInt` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Overrides:
  `getLong` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Overrides:
  `getFloat` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Overrides:
  `getDouble` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int columnIndex,
                        TimeZone tz)
                 throws SQLException

Overrides:
  `getDate` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int columnIndex)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Overrides:
  `getDate` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int columnIndex)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Overrides:
  `getTime` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Overrides:
  `getTimestamp` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex,
                                  TimeZone tz)
                           throws SQLException

Overrides:
  `getTimestamp` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `ResultSet`
Overrides:
  `getMetaData` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Overrides:
  `getObject` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Overrides:
  `getBytes` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Specified by:
  `getRow` in interface `ResultSet`
Overrides:
  `getRow` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Specified by:
  `isFirst` in interface `ResultSet`
Overrides:
  `isFirst` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()
                           throws SQLException

Specified by:
  `getStatement` in interface `ResultSet`
Overrides:
  `getStatement` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`

#### getStatementTypeId

    public long getStatementTypeId()

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `ResultSet`
Overrides:
  `isClosed` in class `SnowflakeBaseResultSet`
Throws:
  `SQLException`